\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and the Qt Graphics View Framework

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Qt::GraphicsViewNavigation Class Reference
Miscellaneous Classes

`#include <CGAL/Qt/GraphicsViewNavigation.h>`

## Definition

An object of type `GraphicsViewNavigation` can be added as event filter to a `Qt::QGraphicsView` and its viewport.

Dragging the left mouse button while holding the 'Ctrl' key defines a zoom rectangle. Dragging the right mouse button while holding the 'Ctrl' key translates the scene. 'Ctrl-Shift' and a click of the right mouse button translates what is under the mouse to the center.

## Operations
bool | eventFilter (QObject *obj, QEvent *event)
| The event filter.

## Signals
void | mouseCoordinates (QPointF p)
| Emits the real world mouse coordinates.